# StageSceneParser (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stage.tools.xml
Class StageSceneParser

    java.lang.Object
      com.threerings.whirled.tools.xml.SceneParser
          com.threerings.stage.tools.xml.StageSceneParser

    public class StageSceneParser

extends SceneParser

Parses `StageSceneModel` instances from an XML description file.

Constructor Summary
`StageSceneParser()` Constructs a parser that can be used to parse Stage scene models.

Method Summary
`static void` `main(String[] args)` A simple hook for parsing a single scene from the command line.

Methods inherited from class com.threerings.whirled.tools.xml.SceneParser
`parseScene, registerAuxRuleSet, setScene`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StageSceneParser

    public StageSceneParser()

  Constructs a parser that can be used to parse Stage scene models.

Method Detail

### main

    public static void main(String[] args)

  A simple hook for parsing a single scene from the command line.

Copyright © 2011. All Rights Reserved.